# Calibre.Net

Calibre.Net is a simple and flexible asp.net, HTML, CSS, and Javascript web app to display 
calibre - e-book management database content in the Windows 8 Modern style.

# connectionStrings/appsettings

* modify connectionStrings/appsettings sections on web.config with the appropriate location of your calibre library & database

	name="CalibreDB" connectionString="Data Source=C:\Users\Public\Documents\Calibre Library\metadata.db;Version=3;"

	key="CalibreLib" value="C:\Users\Public\Documents\Calibre Library\" 

* You may need to grant Read/Write permissions to IIS service system accounts over App_Data folder 
and Read permissions over Calibre Library folder.

* If running under IISExpress set Virtual path to "/"

Calibre.Net integrate and extend the work first done on other great projects:

   - [calibre - e-book management](http://calibre-ebook.com/)
   - [HTML5 Boilerplate](http://html5boilerplate.com/)
   - [Twitter Bootstrap](http://twitter.github.com/bootstrap)
   - [Metro UI CSS](http://metroui.org.ua/)
   - [IcoMoon](http://keyamoon.com/icomoon/#toHome)
   - [BootMetro](http://aozora.github.com/bootmetro/)


## Versioning

### Latest Release: v0.2

* Various bug fixes

## ToDo

* register & account login
* settings


## Links

### Official Metro UI Guidelines

* [UX guidelines for Metro style apps](http://msdn.microsoft.com/en-us/library/windows/apps/hh465424)

* [Understanding the Windows 8 silhouette](http://msdn.microsoft.com/en-us/library/windows/apps/hh872191)

* [Navigation design for Metro style apps](http://msdn.microsoft.com/en-us/library/windows/apps/hh761500)

* [Guidelines and checklist for search](http://msdn.microsoft.com/en-us/library/windows/apps/hh465233)

* [Commanding design for Metro style apps](http://msdn.microsoft.com/en-us/library/windows/apps/hh761499)

* [Guidelines and checklist for text and typography](http://msdn.microsoft.com/en-us/library/windows/apps/hh700394)

* [Choosing the right UI surfaces]( http://msdn.microsoft.com/en-us/library/windows/apps/hh465304)

* [Choosing a tile template](http://msdn.microsoft.com/en-us/library/windows/apps/hh761491.aspx)
   
* [Tile image sizes](http://msdn.microsoft.com/en-us/library/windows/apps/hh781198.aspx)

