﻿@Imports System.Web.Optimization
@Code
    'WebSecurity.InitializeDatabaseConnection("StarterSite", "UserProfile", "UserId", "Email", autoCreateTables:=True)
        
    Dim bundles = BundleTable.Bundles
    bundles.UseCdn = True
    Dim jqueryCdnPath = "http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.8.2.min.js"
    
    bundles.Add(New ScriptBundle("~/bundles/jquery", jqueryCdnPath).Include(
           "~/Scripts/jquery-{version}.js"))

    bundles.Add(New ScriptBundle("~/bundles/jqueryui").Include(
                "~/Scripts/jquery-ui-{version}.js"))

    bundles.Add(New ScriptBundle("~/bundles/jqueryval").Include(
                "~/Scripts/jquery.unobtrusive*",
                "~/Scripts/jquery.validate*"))

    bundles.Add(New ScriptBundle("~/bundles/modernizr").Include(
                "~/Scripts/modernizr-*"))
   
    
    bundles.Add(New ScriptBundle("~/bundles/others").Include("~/Scripts/google-code-prettify/prettify.js",
    "~/Scripts/jquery.mousewheel.js",
    "~/Scripts/jquery.scrollTo.js",
    "~/Scripts/bootstrap.js",
    "~/Scripts/bootmetro.js",
    "~/Scripts/bootmetro-charms.js",
    "~/Scripts/demo.js",
    "~/Scripts/holder.js",
    "~/Scripts/tile-slider.js"))
    
    bundles.Add(New StyleBundle("~/Content/styles").Include(
    "~/Content/css/bootstrap.css",
    "~/Content/css/bootstrap-responsive.css",
    "~/Content/css/bootstrap-extras.css",
    "~/Content/css/bootmetro.css",
    "~/Content/css/datepicker.css",
    "~/Content/css/bootmetro-tiles.css",
    "~/Content/css/bootmetro-charms.css",
    "~/Content/css/metro-ui-light.css",
    "~/Content/css/icomoon.css",
    "~/Content/css/demo.css",
    "~/Content/font/icomoon14676/style.css"))
    
    bundles.Add(New StyleBundle("~/Content/themes/base/css").Include("~/Content/themes/base/jquery.ui.core.css",
    "~/Content/themes/base/jquery.ui.resizable.css",
    "~/Content/themes/base/jquery.ui.selectable.css",
    "~/Content/themes/base/jquery.ui.accordion.css",
    "~/Content/themes/base/jquery.ui.autocomplete.css",
    "~/Content/themes/base/jquery.ui.button.css",
    "~/Content/themes/base/jquery.ui.dialog.css",
    "~/Content/themes/base/jquery.ui.slider.css",
    "~/Content/themes/base/jquery.ui.tabs.css",
    "~/Content/themes/base/jquery.ui.datepicker.css",
    "~/Content/themes/base/jquery.ui.progressbar.css",
    "~/Content/themes/base/jquery.ui.theme.css"))

    ' To let users of this site log in using their accounts from other sites such as Microsoft, Facebook, and Twitter,
    ' you must update this site. For more information visit http://go.microsoft.com/fwlink/?LinkID=226949

    ' OAuthWebSecurity.RegisterMicrosoftClient(
    '     clientId:="",
    '     clientSecret:="")

    ' OAuthWebSecurity.RegisterTwitterClient(
    '     consumerKey:="",
    '     consumerSecret:="")

    ' OAuthWebSecurity.RegisterFacebookClient(
    '     appId:="",
    '     appSecret:="")

    ' OAuthWebSecurity.RegisterGoogleClient()

    ' WebMail.SmtpServer = "mailserver.example.com"
    ' WebMail.EnableSsl = True
    ' WebMail.UserName = "username@example.com"
    ' WebMail.Password = "your-password"
    ' WebMail.From = "your-name-here@example.com"

    ' To learn how to optimize scripts and stylesheets in your site go to  http://go.microsoft.com/fwlink/?LinkID=248974
End Code